=== debian/changelog ===
pj97n08 (2) frozen unstable; urgency=low

  * Changed logo due to copyright.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed, 23 Apr 1997 01:32:05 +0300

pj97n08 (1) unstable; urgency=low

  * converted slides .ps into .gif :-(
  * Initial Release as Debian native package.

 -- Fabrizio Polacco <fpolacco@debian.org>  Thu, 13 Feb 1997 01:36:32 +0200
