=== debian/control ===
Source: pj97n08
Section: doc
Priority: optional
Maintainer: Fabrizio Polacco <fpolacco@debian.org>
Standards-Version: 2.1.2.2

Package: pj97n08
Architecture: all
Depends: pj-base (>= 1-2)
Provides: pj-issues
Description: Issue 8 (January) of PLUTO JOURNAL 1997 (in Italian).
 Rivista OnLine del PLUTO Linux Users Grooup.
 Questo numero contiene anche uno Speciale sul Pluto Meeting 
 tenutosi a Padova a fine Novembre 1996.
